"use strict";

module.exports = {
  up: async (queryInterface, Sequelize) => {
    await queryInterface.addColumn("Currencies", "virtualAccountStatus", {
      type: Sequelize.ENUM("active", "inactive"),
      defaultValue: "inactive",
      allowNull: false,
      comment: "Whether merchants should get a wallet in this currency (separate from the currency's general 'status').",
    });
  },

  down: async (queryInterface, Sequelize) => {
    await queryInterface.removeColumn("Currencies", "virtualAccountStatus");
  },
};
